Subject: Re: bug#54033: Calibre's ebook-viewer only shows white-on-white or dark-on-dark.

From: Jacob MacDonald <[email-masked]>
Date: Mon, 21 Feb 2022 00:00:39 -0600

After looking into what I think was core-updates(-frozen), I am
running into a wall in the form of glib-networking, which blocks my
attempts to build Calibre on many commits. However, I did find another
merge which may be of interest:
b029be2ee0f81cdcbc14240ff426408085ab0a40. One side of it,
ffb381856d0c6cc1a557b789f6b377cfa17002a0, contains a working version
of Calibre 5.21. I can't verify that the other side fails due to the
mentioned glib-networking blocker. However, the common ancestor of the
commits in question is 8b1bde7bb3936a64244824500ffe60f123704437, which
has an older but still working version of Calibre: 5.14. I'm out of
ideas for the moment: The differences in the Calibre recipe between
branches are very small, but I don't know how to bisect here more
effectively, get the core-updates-frozen commits to build, or dig into
the Python build process.